import { Cache } from './Cache';
export declare class DiskCache implements Cache {
    clear(): Promise<void>;
    get<T>(key: string, _options?: {
        responseTimeoutInMillis?: number;
        throwOnTimeout?: boolean;
    }): Promise<T | null>;
    set(key: string, data: any, param3?: any, param4?: any): Promise<void>;
    delete(key: string, _options?: {
        responseTimeoutInMillis?: number;
        throwOnTimeout?: boolean;
    }): Promise<void>;
    invalidateTags(tags: string[], _options?: {
        responseTimeoutInMillis?: number;
        throwOnTimeout?: boolean;
    }): Promise<void>;
}
